# htp on-line reference : UNSET

## syntax

``

## synopsis

UNSET removes (or deletes) a macro and it's definition. The macro is subsequently not available for use in the pre-processed files. (Note that simply redefining the macro with another SET or BLOCK definition with the same name is acceptable. The old macro definition will be removed automatically.)

For example:

`<unset email_addr>
`

More than one macro may be removed in the same tag:

`<file include="header.hti">
<set sect-ctr="1">
<while sect-${sect-ctr}>
<use sect-${sect-ctr}>
<inc sect-ctr>
</while>
<file include="footer.hti">
`

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015